@charset "utf-8";

.title {
  background-image: none;
  border: none;
  display: flex;
  flex-direction: row-reverse;
  align-items: flex-start;
  justify-content: center;
  height: auto;
  margin-bottom: 0;
}

h1 {
  font-size: 2.8rem;
  writing-mode: vertical-rl;
  letter-spacing: 20px;
  flex: 1 1 7%;
  max-width: 7%;
  width: 100%;
  height: auto;
  margin: 2rem 0;
}

.titleimg {
  border: 1px solid #b2b2b2;
  background-color: #fff;
  padding: .5rem;
  flex: 1 1 60%;
  max-width: 60%;
  object-fit: contain;
  width: 100%;
  height: auto;
  margin: 8rem 0;
}


.access-container {
  width: 90%;
  max-width: 1300px;
  margin: 0 auto;
  margin-bottom: 15rem;
}

.content {
  margin-bottom: 15rem;
}

.content h2,
.content p {
  text-align: center;
}



/* 地図の設定 */
.map {
  width: 90%;
  margin: 0 auto 15rem;
}

.address span {
  font-size: clamp(1.5rem, 2vw, 3rem);
}

.address {
  display: flex;
  gap: 5rem;
}

.address li:nth-of-type(2) {
  flex-grow: 1;
}

.address li:nth-of-type(3) {
  transition: .3s;
  -webkit-transform: scale(1);
  transform: scale(1);
}

.address li:nth-of-type(3):hover {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}



/* 交通手段 */
.move {
  max-width: 1000px;
  margin: 0 auto;
}

.means {
  margin: 0 20% 100px;
  display: flex;
  justify-content: space-evenly;
}

#car img,
#train img {
  width: 100%;
  height: auto;
  margin: 2rem auto 10rem;
}

#car img {
  margin-bottom: 20rem;
}

.pickup p {
  margin-top: 1rem;
}


/* フッター */
.flex2 li:nth-of-type(6):hover {
  color: white;
}

.flex2 :nth-of-type(6)::after {
  content: "";
  display: block;
  width: 110px;
  height: 1px;
  background-color: #b2b2b2;
}




/* レスポンシブ設定 */
@media (max-width: 800px) {
  .title {
    margin-bottom: 1rem;
  }

  .title h1 {
    margin-left: 3rem;
    font-size: 1.7rem;
  }

  .title img {
    width: 100%;
    height: auto;
    padding: 5px;
  }

  .access-container {
    margin-bottom: 5rem;
  }

  .content {
    margin-bottom: 5rem;
  }

  .content h2 {
    font-size: 1.5rem;
  }

  .content p {
    text-align: left;
    padding: 2rem;
    line-height: 1.5;
  }

  .map {
    margin-bottom: 5rem;
  }

  .map img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border: 1px solid #b2b2b2;
    padding: 2px 5px;
  }

  .address {
    display: block;
    width: 100%;
  }

  .address li:nth-of-type(2) {
    margin-left: 0;
  }

  .address li:nth-of-type(3) {
    text-align: right;
  }

  .means {
    display: none;
  }


  #car img,
  #train img {
    margin-bottom: 5rem;
  }

  .pickup h4 {
    margin-bottom: 1rem;
  }

  .pickup p {
    text-align: justify;
  }

}